Skip to content

Requests

Okta Access Requests automate the process of requesting access to resources managed by access request conditions.

Access request conditions define the resource to access, who can request access, length of access, and the approval sequence. For more information, see Access request conditions. See also the following APIs: Request Conditions and Request Sequences.

Manage the access request process directly with the Requests API.

Notes:

  • Each org has a maximum of 10,000 open or pending requests.
  • Each org has a maximum of 50,000 resolved requests that are accessible within an app.

See Access Requests for more information on Access Requests and Identity Governance.

List all requests

Request

OAuth 2.0 scope:
  • okta.accessRequests.request.read
Admin roles:
  • ACCESS_REQUESTS_ADMIN

Lists the requests made by users in your org. Use this operation to retrieve all access requests managed by access request conditions.

Use the filter parameter to narrow down the results. This SCIM query string supports the following attributes:

  • status: The status of the request. Possible values: SUBMITTED, REJECTED, PENDING, APPROVED, DENIED, CANCELED, EXPIRED
  • lastUpdated: The last updated time of the request
  • requestedFor: The Okta user ID for whom the request is made
  • resourceId: The Okta resource ID for which the request is made
  • resourceType: The type of resource for which the request is made. Possible values: APPLICATION
  • accessScopeId: The ID of the resource access scope for which the request is made
  • accessScopeType: The type of the resource access scope for which the request is made. Possible values: ENTITLEMENT_BUNDLE, GROUP, APPLICATION

Pagination parameters are accepted, and standard link headers are in the response.

Query
filterstring, (scim-filter)(scim-filter)

Apply various filters by using supported request filtering properties.

Note: Query parameter percent encoding is required. See Percent-encoding

Examples:
Filter by status
filter=status eq "APPROVED"
Filter by lastUpdated
filter=lastUpdated gt "2022-05-24T14:15:22Z"
Filter by resourceId
filter=resourceId eq "0oafxqCAJWWGELFTYASJ"
Filter by resourceType
filter=resourceType eq "APPLICATION"
Filter by accessScopeId
filter=accessScopeId eq "0oafxqCAJWWGELFTYASJ"
Filter by accessScopeType
filter=accessScopeType eq "APPLICATION"
Filter by requestedFor
filter=requestedFor eq "00ub0oNGTSWTBKOLGLNR"
Filter by status, resourceId
filter=status eq "RESOLVED" AND resourceId eq "0oafxqCAJWWGELFTYASJ"
afterstring, (rcar-request-id), = 20 characters(rcar-request-id)req[0-9a-zA-Z]+

The after cursor provided by a prior request.

Example:after=reqp1pmpjhVdGEcVK1d5
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
orderBystring, (order-by)(order-by)

Apply an ordering of requests by specifying a supported request property name with %20asc or %20desc suffix.

Note: Query parameter percent encoding is required. See Percent-encoding

Examples:
Order by created
orderBy=created desc
Order by lastUpdated
orderBy=lastUpdated desc
GET
/governance/api/v2/requests
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/requests?filter=status%20eq%20%22APPROVED%22&after=reqp1pmpjhVdGEcVK1d5&limit=20&orderBy=created%20desc'

Responses

A successful request list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(request-sparse)

All requests on the current page

Response
A list request response with no filter
{ "data": [ {}, {}, {} ], "_links": { "self": {}, "next": {} } }